%define rhugversion 20030122
%define rhugsource1 %{name}-%{version}-src/logging upstream

Summary: Jakarta Commons Logging Component
Name: commons-logging
Version: 1.0.2
Release: 12
URL: http://jakarta.apache.org/commons/logging.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-1.0.2-release.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
ExclusiveArch: i386 x86_64 ppc ia64

%description
The Jakarta Commons Logging Component is an ultra-thin bridge between
different logging libraries which is used to remove compile-time and
run-time dependencies on particular logging packages.

%package devel
Summary: CNI headers for developing Commons Logging applications
Group: Development/Libraries
Requires: commons-logging = %{version}-%{release}

%description devel
The commons-logging-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Logging Component.

%prep
%setup -q -a 1
mv %{rhugsource1} && rmdir %{name}-%{version}-src
%patch1 -p0 -b .release
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-commons-logging.so

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-logging.so \
    %{_datadir}/java/commons-logging.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-logging.so \
    %{_datadir}/java/commons-logging.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/logging

%changelog
* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.0.2-12
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.0.2-11
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 1.0.2-10
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.0.2-9
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.0.2-8
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.0.2-7
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 29 2003 Gary Benson <gbenson@redhat.com> 1.0.2-6
- Rebuild with new compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 1.0.2-5
- Move unversioned library symlink into main package.

* Fri May  2 2003 Tom Tromey <tromey@redhat.com> 1.0.2-4
- Rebuild with new compiler.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.0.2-3
- Tighten up directory ownership in %{_includedir}.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.0.2-2
- Rebuild with new compiler.

* Wed Mar 19 2003 Gary Benson <gbenson@redhat.com> 1.0.2-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
